#ifndef __MAILBOX_H__
#define __MAILBOX_H__

#include <glib.h>

G_BEGIN_DECLS

typedef struct
{
      char* sender;
      char* recipient;
      char* content;
} Letter;

typedef struct
{
      GList* box;
} Mailbox;

Mailbox* mailbox_new  (void);
void     mailbox_free (Mailbox* mailbox);

gboolean  mailbox_has_letter_for   (Mailbox* mailbox, const char*   recipient);
Letter*   mailbox_fetch_letter_for (Mailbox* mailbox, const char*   recipient);
void      mailbox_send_letter      (Mailbox* mailbox, const Letter* letter);

G_END_DECLS

#endif /*  __MAILBOX_H__ */





