#!/usr/bin/env python

#    PostOffice, demo application for ORBit2. 
#    Copyright (C) 2001  Frank Rehberger <frehberg@cs.tu-berlin.de>
# 
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


import CORBA
import sys
import PostOffice, PostOffice__POA

class Counter(PostOffice__POA.Counter):
    def __init__(self):
        self.box=[]
        
    def has_letter_for(self, recipient):
        print 'Counter.hasLetterFor (%s)' % (recipient)
        for letter in self.box:
            if letter.recipient==recipient:
                return 1

        return 0
    
    def fetch_letter_for (self, recipient):
        print 'Counter.fetchLetterFor (%s)' % (recipient)
        for letter in self.box:
            if letter.recipient==recipient:
                self.box.remove(letter)
                return letter

        # reached if no letter for recipient
        raise PostOffice.UnknownRecipient(message='unknown recipient')
        

    def send_letter (self, letter):
        print 'Counter.sendLetter (%s)' % (letter)
        self.box.append(letter)
        for l in self.box:
            print l
        
            
orb = CORBA.ORB_init(sys.argv, CORBA.ORB_ID)
poa = orb.resolve_initial_references("RootPOA")
ref = Counter()._this() # implicit activation

poa._get_the_POAManager().activate()

# print IOR to console
#
sys.stdout.write (orb.object_to_string(ref)+"\n")
sys.stdout.flush();
orb.run()
